Bug 1002828 - Review Request: pure-glpk - GLPK interface for the Pure programming language
Review Request: pure-glpk - GLPK interface for the Pure programming language
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 01:41 EDT by Christopher Meng
Modified: 2014-01-12 22:01 EST (History)
3 users (show)

See Also:
Fixed In Version: pure-glpk-0.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-12 21:54:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
build log (3.81 KB, text/x-log)
2013-11-11 19:33 EST, T.C. Hollingsworth
no flags Details

  None (edit)
Description Christopher Meng 2013-08-30 01:41:09 EDT
Spec URL: http://cicku.me/pure-glpk.spec
SRPM URL: http://cicku.me/pure-glpk-0.4-1.fc21.src.rpm
Description: This module provides a feature complete GLPK interface for the Pure 
programming language, which lets you use all capabilities of the GNU Linear 
Programming Kit (GLPK) directly from Pure.

GLPK (see http://www.gnu.org/software/glpk) contains an efficient simplex
LP solver, a simplex LP solver in exact arithmetics, an interior-point solver,
a branch-and-cut solver for mixed integer programming and some specialized
algorithms for net/grid problems. Using this interface you can build, modify
and solve the problem, retrieve the solution, load and save the problem and
solution data in standard formats and use any of advanced GLPK features.

The interface uses native Pure data types - lists and tuples - so that you
need not perform any data conversions to/from GLPK internal data structures.
Fedora Account System Username: cicku
Comment 1 T.C. Hollingsworth 2013-11-11 19:33:59 EST
Created attachment 822697 [details]
build log

Fails to build from source.  See the attached build log for details.
Comment 2 Christopher Meng 2013-11-20 23:49:09 EST
Missing BR:gmp-devel added, sorry for no release number bumped.

Please try again with comment 0.
Comment 3 T.C. Hollingsworth 2013-12-20 18:45:33 EST
Now it's missing a different include.  :-(

+ make 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic' -j4
cc -shared -o glpk.so glpk.c  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fPIC  -lodbc -lglpk -lpure -lgmp -lltdl -lz 
In file included from glpk.c:28:0:
/usr/include/pure/runtime.h:38:18: fatal error: mpfr.h: No such file or directory
 #include <mpfr.h>
                  ^
compilation terminated.
make: *** [glpk.so] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.Rt9ahg (%build)
    Bad exit status from /var/tmp/rpm-tmp.Rt9ahg (%build)
Comment 4 Christopher Meng 2013-12-21 22:48:14 EST
Sigh...

mpfr-devel added.

Scratched and fine now: http://koji.fedoraproject.org/koji/taskinfo?taskID=6324853

Only issue is that pure language is not available on ARM. pure 0.57 failed with %check section, others are fine: http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2188909. But pure 0.58 is the latest version, I don't know if it has fixed the problem(I think not)

So I will add ExclusiveArch later or find a solution for that.

Thanks.
Comment 5 T.C. Hollingsworth 2013-12-21 23:04:46 EST
(In reply to Christopher Meng from comment #4)
> Only issue is that pure language is not available on ARM. pure 0.57 failed
> with %check section, others are fine:
> http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2188909. But pure
> 0.58 is the latest version, I don't know if it has fixed the problem(I think
> not)
> 
> So I will add ExclusiveArch later or find a solution for that.

ARM is primary now so I'm not supposed to approve without it being excluded somehow.  :-(

But hang on, lemme see if pure can be fixed real quick.  I'm scratch-building it now to see what's wrong, since logs got garbage collected. :-(
Comment 6 T.C. Hollingsworth 2013-12-22 01:15:34 EST
pure really doesn't work on arm.  Hello, world! even fails.  See bug 835315.

I've added ExcludeArch on %{arm} to pure for now.  Please do the same to this package.
Comment 7 Christopher Meng 2013-12-27 07:18:24 EST
Spec URL: http://cicku.me/pure-glpk.spec
SRPM URL: http://cicku.me/pure-glpk-0.4-2.fc21.src.rpm
Comment 8 T.C. Hollingsworth 2013-12-27 14:59:11 EST
Looks good now.  This package is APPROVED!
Comment 9 Christopher Meng 2013-12-27 23:09:38 EST
New Package SCM Request
=======================
Package Name: pure-glpk
Short Description: GLPK interface for the Pure programming language
Owners: cicku
Branches: f19 f20
Comment 10 Jens Petersen 2014-01-02 07:12:23 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2014-01-02 21:15:25 EST
pure-glpk-0.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pure-glpk-0.4-2.fc20
Comment 12 Fedora Update System 2014-01-02 21:15:37 EST
pure-glpk-0.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pure-glpk-0.4-2.fc19
Comment 13 Fedora Update System 2014-01-03 09:58:00 EST
pure-glpk-0.4-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2014-01-12 21:54:59 EST
pure-glpk-0.4-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2014-01-12 22:01:12 EST
pure-glpk-0.4-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.